
ctools - Bug #1606

ctools make check fails

12/18/2015 12:42 PM - Kelley-Hoskins Nathan

Status: In Progress Start date: 12/18/2015

Priority: Normal Due date:  

Assigned To:  % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Latest version of ctools has some kind of make check problem with a missing file used in the test.  Someone forgot to add it?

$ git pull

Already up-to-date.

$ make check

Making check in src

make[1]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src'

Making check in support

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/support'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/support'

Making check in ctbin

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctbin'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctbin'

Making check in ctlike

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctlike'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctlike'

Making check in ctmodel

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctmodel'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctmodel'

Making check in ctobssim

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctobssim'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctobssim'

Making check in ctselect

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctselect'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctselect'

Making check in ctskymap

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctskymap'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctskymap'

Making check in ctexpcube

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctexpcube'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctexpcube'

Making check in ctpsfcube

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctpsfcube'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctpsfcube'

Making check in ctbkgcube

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctbkgcube'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctbkgcube'

Making check in ctcubemask

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctcubemask'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctcubemask'

04/29/2024 1/3



Making check in cttsmap

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/cttsmap'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/cttsmap'

Making check in ctbutterfly

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctbutterfly'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctbutterfly'

Making check in ctulimit

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctulimit'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/ctulimit'

Making check in cterror

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/cterror'

make[2]: Nothing to be done for `check'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src/cterror'

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src'

make[2]: Nothing to be done for `check-am'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src'

make[1]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/src'

Making check in pyext

make[1]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/pyext'

make  check-am

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/pyext'

make[2]: Nothing to be done for `check-am'.

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/pyext'

make[1]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/pyext'

Making check in test

make[1]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/test'

make  check-TESTS

make[2]: Entering directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/test'

***************

* Test ctools *

***************

Test ctobssim: .. ok

Test ctskymap: .. ok

Test ctbin: .... ok

Test ctexpcube: .... ok

Test ctpsfcube: .... ok

Test ctbkgcube: ...... ok

Test ctmodel: ...... ok

Test ctselect: .. ok

Test ctlike: ...... ok

Test cttsmap: .. ok

Test ctcubemask: .. ok

Test ctbutterfly: .. ok

Test ctulimit: .. ok

Test cterror: .. ok

PASS: test_ctools.sh

*****************

* Test cscripts *

*****************

Test csobsdef: .. ok

Test csobs2caldb: Parfile "csobs2caldb.par" not found. Create default parfile.

Traceback (most recent call last):

  File "/afs/ifh.de/user/n/nkelhos/scratch/ctools/ctools-git/cscripts/csobs2caldb.py", line 393, in <module>

    app.execute()

  File "/afs/ifh.de/user/n/nkelhos/scratch/ctools/ctools-git/cscripts/csobs2caldb.py", line 370, in execute

    self.run()

  File "/afs/ifh.de/user/n/nkelhos/scratch/ctools/ctools-git/cscripts/csobs2caldb.py", line 349, in run

    self.irf_fits = self.make_irf_file()

  File "/afs/ifh.de/user/n/nkelhos/scratch/ctools/ctools-git/cscripts/csobs2caldb.py", line 155, in make_irf_file

    fits_aeff  = gammalib.GFits(fname_aeff.filename())

  File "/afs/ifh.de/user/n/nkelhos/scratch/gammalib/gammalib-git/lib/python3.5/site-packages/gammalib/fits.py", line 220, in __init__

    this = _fits.new_GFits(*args)

RuntimeError: *** ERROR in GFits::open(std::string&): Unable to open FITS file "" (status=104)
. /afs/ifh.de/user/n/nkelhos/scratch/ctools/ctools-git/test/caldb/data/cta/cta/bcf/test_irfs/irf_file.fits file is not valid

FAIL: test_cscripts.sh

***********************

* ctools unit testing *

***********************

Test ctobssim functionality: .......... ok

Test ctobssim on observation container: .... ok

Test ctselect functionality: ... ok

Test ctbin functionality: ... ok

Test ctlike functionality: ... ok

Test cttsmap functionality: ... ok

Test ctmodel functionality: ... ok

Test ctskymap functionality: ... ok

Test ctexpcube functionality: ... ok

Test ctpsfcube functionality: ... ok

Test ctbkgcube functionality: ... ok

Test ctcubemask functionality: ... ok

Test ctbutterfly functionality: ... ok

Test ctulimit functionality: ... ok

Test cterror functionality: ... ok

Test unbinned pipeline with FITS file saving: .... ok

Test unbinned in-memory pipeline: .... ok

PASS: test_python.py

==============================================

1 of 3 tests failed

Please report to jurgen.knodlseder@irap.omp.eu

==============================================

make[2]: *** [check-TESTS] Error 1

make[2]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/test'

make[1]: *** [check-am] Error 2

make[1]: Leaving directory `/afs/ifh.de/group/cta/scratch/nkelhos/ctools/ctools-git/test'

make: *** [check-recursive] Error 1

$ ls -l /afs/ifh.de/user/n/nkelhos/scratch/ctools/ctools-git/test/caldb/data/cta/cta/bcf/test_irfs/irf_file.fits

ls: cannot access /afs/ifh.de/user/n/nkelhos/scratch/ctools/ctools-git/test/caldb/data/cta/cta/bcf/test_irfs/irf_file.fits: No such file or

 directory

History

#1 - 12/19/2015 01:02 AM - Knödlseder Jürgen

Can you try again the code in the devel branch? Maybe you catched some code in an intermediate state. From my side there should be no problem

now.

#2 - 12/19/2015 01:02 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 10
